#!/usr/bin/env python
# Written by Craig Maloney
# Checks a Wordpress site to see if it's operational
# and if it has the Pharma hack
# Released under the Public Domain.

import urllib
import re
import time
import random

urls = [
    'http://yoursitegoeshere',
    'http://yoursitegoeshere',
    ]

random.shuffle(urls)

class AppURLopener(urllib.FancyURLopener):
    version = "Googlebot"

urllib._urlopener = AppURLopener()

for url in urls:
    try:
        filehandle = urllib.urlopen(url)
        contents = filehandle.read()
        if 'WordPress' not in contents:
            print url + ' is not displaying a Wordpress page'
        if 'Prescription' in contents:
            print url + ' may have something wonky going on'
            #print contents
    except:
        print url + ' is timing out'

    time.sleep(5)
